/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.caseexecuteinfo.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.caseexecuteinfo.entity.CaseExecuteInfo;
import com.jeeplus.modules.caseexecuteinfo.dao.CaseExecuteInfoDao;

/**
 * 案例-施工单位Service
 * @author fgy
 * @version 2018-01-24
 */
@Service
@Transactional(readOnly = true)
public class CaseExecuteInfoService extends CrudService<CaseExecuteInfoDao, CaseExecuteInfo> {

	public CaseExecuteInfo get(String id) {
		return super.get(id);
	}
	
	public List<CaseExecuteInfo> findList(CaseExecuteInfo caseExecuteInfo) {
		return super.findList(caseExecuteInfo);
	}
	
	public Page<CaseExecuteInfo> findPage(Page<CaseExecuteInfo> page, CaseExecuteInfo caseExecuteInfo) {
		return super.findPage(page, caseExecuteInfo);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseExecuteInfo caseExecuteInfo) {
		super.save(caseExecuteInfo);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseExecuteInfo caseExecuteInfo) {
		super.delete(caseExecuteInfo);
	}
	
	
	
	
}